apiVersion: v1
kind: Pod
metadata:
  name: "volume-block-xfs-bats-test"
  annotations:
    helm.sh/hook: test-success
    helm.sh/hook-delete-policy: before-hook-creation
spec:
  serviceAccountName: testing-account
  containers:
    - name: test
      image: ghcr.io/utopia-planitia/helm-tests-image:latest@sha256:5b4e0785c66a5a3fa589d3f35e21a075f59704274459a9ac051b37680258bc7e
      command:
        - bats
        - --print-output-on-failure
        - --trace
        - volume-block-xfs.bats
      volumeMounts:
        - name: test-scripts
          mountPath: "/tests"
          readOnly: true
  volumes:
    - name: test-scripts
      secret:
        secretName: "helmfile-test-scripts"
  restartPolicy: Never
